package _VisualDVM.TestingSystem.DVM.DVMPackage;
import Common.Utils.Utils_;
import Common.Visual.Controls.MenuBarButton;
import Common.Visual.Menus.DataMenuBar;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;

import javax.swing.*;
public class DVMPackagesBar extends DataMenuBar {
    public DVMPackagesBar() {
        super("пакеты задач DVM");
        addPasses(PassCode.SynchronizeTests);
        addSeparator();
        addPasses(PassCode.AbortDVMPackage);
        addSeparator();
        addPasses(PassCode.DownloadDVMPackage,
                PassCode.ExportDVMPackageToExcel,
                PassCode.DeleteDVMPackage);
        add(new JSeparator());
        add(new MenuBarButton() {
            {
                setText("Свои");
                setToolTipText("Отображать только пакеты тестов авторства пользователя");
                Mark();
                addActionListener(e -> {
                    DVMPackageDBTable.filterMyOnly = !DVMPackageDBTable.filterMyOnly;
                    Mark();
                    Global.testingServer.db.dvmPackages.ShowUI();
                });
            }
            public void Mark() {
                setIcon(Utils_.getIcon(DVMPackageDBTable.filterMyOnly ? "/icons/Pick.png" : "/icons/NotPick.png"));
            }
        });
        add(new MenuBarButton() {
            {
                setText("Активные");
                setToolTipText("Отображать только активные пакеты тестов");
                Mark();
                addActionListener(e -> {
                    DVMPackageDBTable.filterActive = !DVMPackageDBTable.filterActive;
                    Mark();
                    Global.testingServer.db.dvmPackages.ShowUI();
                });
            }
            public void Mark() {
                setIcon(Utils_.getIcon(DVMPackageDBTable.filterActive ? "/icons/Pick.png" : "/icons/NotPick.png"));
            }
        });
    }
}
